from .fsm_base import FSMBase


class LinearFSM(FSMBase):
    def __init__(self, number_of_steps):
        self.states = list(map(str, range(number_of_steps)))
        self.transitions = [{'trigger': 'step', 'source': index, 'dest': str(int(index)+1)}
                            for index in self.states[:-1]]
        super(LinearFSM, self).__init__()
